# RHEL 7 ships with Ruby 2.0, which uses vendorlibdir instead of sitelibdir
%if 0%{?rhel} >= 7
%{!?ruby_libdir: %define ruby_libdir %(ruby -rrbconfig -e "puts RbConfig::CONFIG['vendorlibdir']")}
%{!?ruby_archdir: %define ruby_archdir %(ruby -rrbconfig -e "puts RbConfig::CONFIG['vendorarchdir']")}
%else
%{!?ruby_libdir: %define ruby_libdir %(ruby -rrbconfig -e "puts RbConfig::CONFIG['sitelibdir']")}
%{!?ruby_archdir: %define ruby_archdir %(ruby -rrbconfig -e "puts RbConfig::CONFIG['sitearchdir']")}
%endif

Name:           ruby-augeas
Version:        0.4.1
Release:        3%{?dist}
Summary:        Ruby bindings for Augeas
Group:          Development/Languages

License:        LGPLv2+
URL:            http://augeas.net
Source0:        http://download.augeas.net/ruby/ruby-augeas-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ruby ruby-devel rubygem(rake)
BuildRequires:  augeas-devel >= 0.8.0
BuildRequires:  pkgconfig
%if 0%{?rhel} == 5
BuildRequires:  libxml2-devel
%endif

%if 0%{?rhel} == 7
BuildRequires:  rubygem-minitest
%endif

%if 0%{?rhel} == 7
Requires:       ruby(release) = 2.0.0
%else
Requires:       ruby(abi) = 1.8
%endif
Requires:       augeas-libs >= 0.8.0
Provides:       ruby(augeas) = %{version}

%description
Ruby bindings for augeas.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
rake build

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}%{ruby_libdir}
install -d -m0755 %{buildroot}%{ruby_archdir}
install -p -m0644 lib/augeas.rb %{buildroot}%{ruby_libdir}
install -p -m0755 ext/augeas/_augeas.so %{buildroot}%{ruby_archdir}

%check
rake test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README.rdoc NEWS
%{ruby_libdir}/augeas.rb
%{ruby_archdir}/_augeas.so


%changelog
* Tue Feb 17 2014 Melissa Stone <melissa@puppetlabs.com> - 0.4.1-3
- Use RbConfig rather than Config to find sitelibdir
- Use vendorlibdir and vendorarchdir for rhel 7

* Fri Feb 14 2014 Ryan McKern <ryan.mckern@puppetlabs.com> - 0.4.1-2
- Rev release for RHEL 7 rebuild
- Fix requirements for RHEL 7 beta

* Tue Mar 29 2011 David Lutterkort <lutter@redhat.com> - 0.4.1-1
- New version

* Tue Mar 29 2011 David Lutterkort <lutter@redhat.com> - 0.4.0-1
- Require augeas-0.8.0; remove patch for 'setm', now upstream

* Sun Feb 13 2011 Jeroen van Meeuwen <jeroen.van.meeuwen@ergo-project.org> - 0.3.0-2
- Expose 'setm' command in Ruby API

* Wed Aug 12 2009 David Lutterkort <lutter@redhat.com> - 0.3.0-1
- New version

* Tue Aug 26 2008 David Lutterkort <dlutter@redhat.com> - 0.2.0-1
- New version

* Fri May  9 2008 David Lutterkort <dlutter@redhat.com> - 0.1.0-1
- Fixed up in accordance with Fedora guidelines

* Mon Mar 3 2008 Bryan Kearney <bkearney@redhat.com> - 0.0.1-1
- Initial specfile
